Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## kieker.analysis
Enum AnalysisController.STATE

    java.lang.Object
      java.lang.Enum<AnalysisController.STATE>
          kieker.analysis.AnalysisController.STATE

All Implemented Interfaces:
  Serializable, Comparable<AnalysisController.STATE>

Enclosing class:
  AnalysisController

    public static enum AnalysisController.STATE

extends Enum<AnalysisController.STATE>

An enumeration used to describe the state of an `AnalysisController`.

Since:
  1.5
Author:
  Jan Waller

Enum Constant Summary
`FAILED` The analysis failed.
`READY` The controller has been initialized and is ready to be configured.
`RUNNING` The analysis is currently running.
`TERMINATED` The controller has been terminated without errors.
`TERMINATING` The controller has initiated a termination.

Method Summary
`static AnalysisController.STATE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AnalysisController.STATE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### READY

    public static final AnalysisController.STATE READY

  The controller has been initialized and is ready to be configured.

### RUNNING

    public static final AnalysisController.STATE RUNNING

  The analysis is currently running.

### TERMINATING

    public static final AnalysisController.STATE TERMINATING

  The controller has initiated a termination.

### TERMINATED

    public static final AnalysisController.STATE TERMINATED

  The controller has been terminated without errors.

### FAILED

    public static final AnalysisController.STATE FAILED

  The analysis failed.

Method Detail

### values

    public static AnalysisController.STATE[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AnalysisController.STATE c : AnalysisController.STATE.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AnalysisController.STATE valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net